Bug 250585 - kdelibs-devel should require libutempter-devel
Summary: kdelibs-devel should require libutempter-devel
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebindings   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-02 10:42 UTC by Marcin Garski
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-23 14:43:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marcin Garski 2007-08-02 10:42:20 UTC
In revision 1.223 of kdelibs.spec Rex commented line:
{?_with_libutempter:Requires: libutempter-devel}

This change break compilation of Krusader in rawhide (you can see logs in task
85666):
/usr/bin/ld: cannot find -lutempter
collect2: ld returned 1 exit status
make[3]: *** [krusader] Error 1

Comment 1 Rex Dieter 2007-08-23 12:37:53 UTC
See also bug #253801.

It's not kdelibs at fault here.  I'll go take a closer look in krusader.

Comment 2 Rex Dieter 2007-08-23 12:40:35 UTC
In the meantime, a quick-n-dirty added:
BuildRequires: libutempter-devel
can help here.

Comment 3 Rex Dieter 2007-08-23 13:02:53 UTC
Yep, it's kdebindings(-devel) that's to blame, and needs a rebuild.

Comment 4 Rex Dieter 2007-08-23 13:04:14 UTC
In particular, libkjsembed.la containing -lutempter
will get purged on next respin.

Comment 5 Rex Dieter 2007-08-23 14:43:58 UTC
Should be fixed now with kdebindings-3.5.7-5.fc8


Note You need to log in before you can comment on or make changes to this bug.